<?xml version="1.0" encoding="UTF-8"?>
<persistence version="1.0" xmlns="http://java.sun.com/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_1_0.xsd">
    <persistence-unit name="SigcEntityManager">
        <provider>org.hibernate.ejb.HibernatePersistence</provider>
        <jta-data-source>java:/db/sigc_datasource2</jta-data-source>
        <!-- Eclipse chilla al ejecutar una prueba unitaria de testNG si está esta línea: -->
        <shared-cache-mode>ENABLE_SELECTIVE</shared-cache-mode>
        <class>co.gov.igac.snc.persistence.util.EDistribucionRangoReporte</class>
        <properties>
            <!-- otra forma? de decir que se va a usar cache de nivel 2 (http://www.objectdb.com/java/jpa/persistence/cache) -->
            <!-- property name="javax.persistence.sharedCache.mode" value="ENABLE_SELECTIVE"/ -->
            <property name="hibernate.dialect" value="org.hibernate.dialect.Oracle10gDialect"/>
            <property name="hibernate.show_sql" value="false"/>
            <property name="hibernate.generate_statistics" value="true"/>
            <!--D: two properties added trying to solve the problem of a query using  NEW 
            For detecting the Mapped Files (the following line) -->
            <!-- <property name="hibernate.archive.autodetection" value="class"/> -->
            <!-- <property name = "hibernate.query.factory_class" value="org.hibernate.hql.classic.ClassicQueryTranslatorFactory" /> -->
            <!-- 
           Para habilitar cache de jpa
           https://docs.jboss.org/author/display/AS71/JPA+Reference+Guide#JPAReferenceGuide-UsingtheInfinispansecondlevelcache
           https://docs.jboss.org/author/display/ISPN/Using+Infinispan+as+JPA-Hibernate+Second+Level+Cache+Provider
            -->
            <property name="hibernate.cache.use_second_level_cache" value="true"/>
            <property name="hibernate.cache.use_query_cache" value="true"/>
            <!-- If using JPA, add to your persistence.xml 
            <property name="hibernate.cache.region.factory_class" value="org.hibernate.cache.infinispan.JndiInfinispanRegionFactory" />
            <property name="hibernate.cache.infinispan.cachemanager" value="java:jboss/infinispan/container/hibernate"/>
            -->
            <!--  
            <property name="hibernate.cache.region.factory_class" value="org.jboss.as.jpa.hibernate4.infinispan.InfinispanRegionFactory"/>
            <property name="hibernate.cache.infinispan.cachemanager" value="java:CacheManager" />
            -->
            <!-- If using JPA, add to your persistence.xml -->
            <property name="hibernate.transaction.factory_class" value="org.hibernate.transaction.CMTTransactionFactory"/>
            <property name="hibernate.transaction.manager_lookup_class" value="org.hibernate.transaction.JBossTransactionManagerLookup"/>
        </properties>
    </persistence-unit>
</persistence>
